### Type parameters

- #### T

### Hierarchy

- Iterator<T>
  - IterableIterator

## Index

### Methods

- [iterator]
- next
- return
- throw

## Methods

### [iterator]

- [iterator](): IterableIterator<T>

- #### Returns IterableIterator<T>

### next

- next(...args: [] | [undefined]): IteratorResult<T, any>

- Inherited from Iterator.next

  #### Parameters

  - ##### Rest ...args: [] | [undefined]

  #### Returns IteratorResult<T, any>

### Optional return

- return(value?: any): IteratorResult<T, any>

- Inherited from Iterator.return

  #### Parameters

  - ##### Optional value: any

  #### Returns IteratorResult<T, any>

### Optional throw

- throw(e?: any): IteratorResult<T, any>

- Inherited from Iterator.throw

  #### Parameters

  - ##### Optional e: any

  #### Returns IteratorResult<T, any>

Generated using TypeDoc